%% Code to calculate the default angular velocity used in the paper
clear all; close all; clc;

fileID = fopen('P1.1.txt','r');
formatSpec = '%s';
%sizeA = [1 Inf];
A = fscanf(fileID,formatSpec);
%fclose(fileID);

B = str2num(A);


for i = 1:(length(B)/4)
    C1(i,1) = B(1,4*i -3);
    C1(i,2) = B(1,4*i -2);
    C1(i,3) = B(1,4*i -1);
    C1(i,4) = B(1,4*i);
end

msec1 = C1(:,1);
AD_deg1 = C1(:,2);
Raw_AV1 = C1(:,3);
Filtered_AV1 = C1(:,4);



fileID = fopen('P1.2.txt','r');
formatSpec = '%s';
%sizeA = [1 Inf];
A = fscanf(fileID,formatSpec);
%fclose(fileID);

B = str2num(A);


for i = 1:(length(B)/4)
    C2(i,1) = B(1,4*i -3);
    C2(i,2) = B(1,4*i -2);
    C2(i,3) = B(1,4*i -1);
    C2(i,4) = B(1,4*i);
end

msec2 = C2(:,1);
AD_deg2 = C2(:,2);
Raw_AV2 = C2(:,3);
Filtered_AV2 = C2(:,4);



fileID = fopen('P1.3.txt','r');
formatSpec = '%s';
%sizeA = [1 Inf];
A = fscanf(fileID,formatSpec);
%fclose(fileID);

B = str2num(A);


for i = 1:(length(B)/4)
    C3(i,1) = B(1,4*i -3);
    C3(i,2) = B(1,4*i -2);
    C3(i,3) = B(1,4*i -1);
    C3(i,4) = B(1,4*i);
end

msec3 = C3(:,1);
AD_deg3 = C3(:,2);
Raw_AV3 = C3(:,3);
Filtered_AV3 = C3(:,4);



fileID = fopen('P1.4.txt','r');
formatSpec = '%s';
%sizeA = [1 Inf];
A = fscanf(fileID,formatSpec);
%fclose(fileID);

B = str2num(A);


for i = 1:(length(B)/4)
    C4(i,1) = B(1,4*i -3);
    C4(i,2) = B(1,4*i -2);
    C4(i,3) = B(1,4*i -1);
    C4(i,4) = B(1,4*i);
end

msec4 = C4(:,1);
AD_deg4 = C4(:,2);
Raw_AV4 = C4(:,3);
Filtered_AV4 = C4(:,4);

Raw_AV_all = [Raw_AV1; Raw_AV2; Raw_AV3; Raw_AV4];

%% Remove negative data -- CHECK IF THIS IS THE ONE I NEED

Raw_AV_pos = Raw_AV_all;
Raw_AV_pos(Raw_AV_pos<2) = nan; 

mean_AV_raw = nanmean(Raw_AV_pos)



%% Plotting

figure()
plot(msec1, Raw_AV1); hold on; 
plot(msec2, Raw_AV2);
plot(msec3, Raw_AV3);
plot(msec4, Raw_AV4);


